List quarantines
List a project’s active, ending-soon, or released quarantines, with the quarantine limit beside the list.
GET
List quarantines
Path Parameters
Query Parameters
Last modified on November 4, 2026
List quarantines
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List a project’s active, ending-soon, or released quarantines, with the quarantine limit beside the list.
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/quarantines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/quarantines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/quarantines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/quarantines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/quarantines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/quarantines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/quarantines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"totalPages": 123,
"totalItems": 123
},
"budget": {
"used": 123,
"allowed": 123,
"capPct": 123,
"activeTests": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}Was this page helpful?
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/quarantines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/quarantines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/quarantines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/quarantines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/quarantines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/quarantines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/quarantines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "<string>",
"projectId": "<string>",
"testId": "<string>",
"logicalId": "<string>",
"title": "<string>",
"titlePath": [
"<string>"
],
"filePath": "<string>",
"ownerUserId": "<string>",
"note": "<string>",
"issueKey": "<string>",
"issueUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "active",
"releasedAt": "2023-11-07T05:31:56Z",
"releaseReason": "manual",
"releasedBy": "<string>",
"passStreak": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"version": 123,
"errorTemplate": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"totalPages": 123,
"totalItems": 123
},
"budget": {
"used": 123,
"allowed": 123,
"capPct": 123,
"activeTests": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests"
}
}